# -*- coding: utf-8 -*-
from velamentum.dateien.DateiSystemElement import DateiSystemElement
import os

class Verzeichnis(DateiSystemElement):
    """Die Klasse Verzeichnis dient dem Umgang mit Verzeichnissen.   
    
    Attribute:
        --- von 'DateiSystemElement' geerbte ---
    """
    
    def __init__(self, pPfad):
        """Konstruktor. Initialisiert das Verzeichnis.
        
        Parameter: 
            pPfad (Zeichenkette): Der Pfad des Verzeichnisses.
        """
        DateiSystemElement.__init__(self, pPfad)
        
    def nenneKinder(self):
        """Anfrage. Gibt eine Liste der Kinder des Verzeichnisses zurück."""
        tListe = []
        
        try:
            tListe = os.listdir(self._pfad)
        except:
            print("Fehler. Einlesen von '%s' nicht möglich." % self._pfad)
        
        return tListe
